SYNK
GET/track/info

Returns proper detailed metadata for a track. Audio features, similar track recommendations, the lot. This is the big one if you are building anything that needs to know about a song.

Rate limit
60 req/min
Caching
Cached in the internal database per track. Audio features are fetched once and stored forever.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
artiststringrequiredArtist name.
titlestringrequiredTrack title. Stuff in brackets gets stripped before searching.
isrcstringoptionalPass this to skip a lookup round trip. Saves time.

Request

curl 'https://api.synkradio.co.uk/track/info?artist=Daft%20Punk&title=Around%20the%20World' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/track/info?artist=Daft%20Punk&title=Around%20the%20World&isrc=GBUM71505078

Response

200 application/json
{
  "found": true,
  "id": 116706671,
  "name": "Get Lucky",
  "explicit": false,
  "isrc": "USQX91300809",
  "durationMs": 369000,
  "durationFormatted": "6:09",
  "artists": [
    {
      "id": 27,
      "name": "Daft Punk"
    },
    {
      "id": 75798,
      "name": "Pharrell Williams"
    }
  ],
  "primaryArtist": {
    "id": 27,
    "name": "Daft Punk",
    "genres": [
      "Dance",
      "Electro"
    ],
    "image": "https://api.synkradio.co.uk/artistimage?id=27"
  },
  "album": {
    "id": 11195631,
    "name": "Random Access Memories",
    "albumType": "album",
    "releaseDate": "2013-05-17",
    "totalTracks": 13,
    "label": "Columbia",
    "genres": [
      "Dance",
      "Electro"
    ],
    "cover": "https://api.synkradio.co.uk/cover?artist=Daft+Punk&title=Get+Lucky"
  },
  "audioFeatures": {
    "key": "A",
    "keyIndex": 9,
    "mode": "Minor",
    "timeSignature": 4,
    "tempo": 116,
    "loudness": -8.4,
    "energy": 0.808,
    "danceability": 0.836,
    "valence": 0.796,
    "acousticness": 0.0126,
    "instrumentalness": 0.001,
    "liveness": 0.0877,
    "speechiness": 0.0455
  },
  "recommendations": [
    {
      "id": 67234751,
      "name": "Around the World",
      "artists": [
        {
          "name": "Daft Punk",
          "id": 27
        }
      ],
      "album": "Homework",
      "durationMs": 428000,
      "durationFormatted": "7:08",
      "cover": "https://api.synkradio.co.uk/cover?artist=Daft+Punk&title=Around+the+World"
    }
  ]
}

Response schema

FieldTypeExampleDescription
foundbooleantrue
idnumber116706671Provider identifier for the resource.
namestring"Get Lucky"Display name of the entity.
explicitbooleanfalseTrue if the track is marked explicit.
isrcstring"USQX91300809"International Standard Recording Code.
durationMsnumber369000Duration in milliseconds.
durationFormattedstring"6:09"
artistsarray<object>2 items
primaryArtistobject4 fields
albumobject8 fieldsAlbum the track belongs to.
audioFeaturesobject13 fields
recommendationsarray<object>1 item